 # Πρόγραμμα Υπολογισμού Καθαρού Κέρδους Αποταμίευσης

# Ορισμός συνάρτησης Υπολογισμού Καθαρού Κέρδους Αποταμίευσης
# Παράμετροι εισόδου εϊναι οι μεταβλητές arxiko_poso, epitokio και
# forologikos_syntelestis, ενώ τιμές εξόδου οι μεταβλητές tokos,
# teliko_poso, katharo_kerdos
def katharo_kerdos_apotamieusis(arxiko_poso, epitokio, forologikos_syntelestis):
    # Υπολογισμός Τόκου    
    tokos=arxiko_poso*epitokio/100
    # Υπολογισμός Φορολογίας Τόκου
    foros=tokos*forologikos_syntelestis/100
    # Υπολογισμός Καθαρού Κέρδους
    katharo_kerdos=tokos-foros
    # Υπολογισμός Τελικού Ποσού Επένδυσης
    teliko_poso= arxiko_poso + katharo_kerdos
    # Επιστροφή 3 τιμών εξόδου
    return tokos, katharo_kerdos, teliko_poso

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Υπολογισμού Καθαρού Κέρδους Αποταμίευσης")
print()

# Εισαγωγή από τον χρήστη του Ποσού Επένδυσης
poso_apo_xristi=float(input("Εισάγετε το Ποσό Αποταμίευσης: "))
# Εισαγωγή από τον χρήστη του Επιτοκίου
epitokio_apo_xristi= float(input("Εισάγετε το Επιτόκιο(%): "))
# Εισαγωγή από τον χρήστη του Φορολογικού Συντελεστή του Τόκου Αποταμίευσης
forologikos_syntelestis_apo_xristi=float(input("Εισάγετε \
τον Συντελεστή Φορολόγησης του Τόκου Αποταμίευσης(%): "))
# Κλήση συνάρτησης katharo_kerdos_apotamieusis και επιστροφή 3 τιμών
tokos_xristi, katharo_kerdos_xristi, teliko_poso_xristi =\
katharo_kerdos_apotamieusis(poso_apo_xristi,epitokio_apo_xristi,\
                            forologikos_syntelestis_apo_xristi)

# Εμφάνιση αποτελεσμάτων
print()
print("Ο Τόκος από την Αποταμίευση με την ολοκλήρωση ενός χρόνου είναι",\
      '%.2f' %tokos_xristi)
print("Το Καθαρό Κέρδος μετά τη φορολόγιση του Τόκου είναι:",'%.2f' \
      %katharo_kerdos_xristi)
print("To Τελικό Ποσό Αποταμίευσης μετά από ένα χρόνο είναι",'%.2f'\
      %teliko_poso_xristi)

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Καθαρού \
Κέρδους Αποταμίευσης") 

